Bug 498703 - (perl-Term-Completion) Review Request: perl-Term-Completion - Read one line of user input, with convenience functions
Review Request: perl-Term-Completion - Read one line of user input, with conv...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Term-Comp...
:
Depends On:
Blocks: 484485
  Show dependency treegraph
 
Reported: 2009-05-02 02:59 EDT by Chris Weyl
Modified: 2009-05-04 18:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 18:43:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-05-02 02:59:35 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Term-Completion.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Term-Completion-0.91-1.fc10.src.rpm

Description:
Term::Completion is an extensible, highly configurable replacement for
the venerable Term::Complete package. It is object-oriented and thus allows
subclassing. Two derived classes are Term::Completion::Multi and
Term::Completion::Path. A prompt is printed and the user may enter one line
of input, submitting the answer by pressing the ENTER key.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1332443

*rt-0.10
Comment 1 Parag AN(पराग) 2009-05-03 11:48:35 EDT
Review:
+ package builds in mock (rawhide i586).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1332443
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
6f5920facb98b20923559f57608bb6ef  Term-Completion-0.91.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
Files=9, Tests=100,  1 wallclock secs ( 0.09 usr  0.02 sys +  0.70 cusr  0.08 csys =  0.89 CPU)

+ Package perl-Term-Completion-0.91-1.fc12.noarch =>
Provides: perl(Term::Completion) = 0.91 perl(Term::Completion::Multi) = 0.90 perl(Term::Completion::Path) = 0.90 perl(Term::Completion::_POSIX) perl(Term::Completion::_readkey) perl(Term::Completion::_stty) perl(Term::Completion::_termsize)
Requires: perl(Carp) perl(Exporter) perl(File::Spec) perl(IO::Handle) perl(POSIX) perl(Term::ReadKey) perl(base) perl(strict) perl(warnings)

 APPROVED.
Comment 2 Chris Weyl 2009-05-03 14:31:28 EDT
New Package CVS Request
=======================
Package Name: perl-Term-Completion
Short Description: Read one line of user input, with convenience functions
Owners: cweyl
Branches: F-9 F-10 F-11 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-03 23:52:16 EDT
cvs done.
Comment 4 Chris Weyl 2009-05-04 18:43:32 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.